Bug 837068 - Creating a GPG Key with no Name causes as "hang"
Creating a GPG Key with no Name causes as "hang"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Pavel Pokorny
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 12:18 EDT by Bryan Kearney
Modified: 2013-03-27 16:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 06:45:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2012-07-02 12:18:42 EDT
Create a gpg key, and do not give it a name. The error will show up in the nofication section, but not as a pop up to the user. It appears to "hang" for the user.
Comment 1 Pavel Pokorny 2012-07-10 12:31:26 EDT
I can not reproduce in current version (master), the notice pops up both when creating or updating with empty name. The validation is quite strict, it uses KatelloNameFormatValidator. Tests are also passing.

Note You need to log in before you can comment on or make changes to this bug.